OMERO-cloudformation-templates/OMERO2LBstackTLS_RW_StorageGateway.yml [30:137]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          - EC2KeyName
          - EC2InstanceType
          - NumberofECSEC2Instances
          - LoadBalancerAccessLogBucketName
          - CountofWebInstances
          - OMEROWebContainerCPUSize
          - OMEROWebContainerMemorySize
          - OMEROServerContainerCPUSize
          - OMEROServerContainerMemorySize
          - OMEROWebContainerImageParam
          - OMEROServerContainerImageParam
      - Label:
          default: 'Infrastructure'
        Parameters:
          - OMEROVPCID
          - DBECSPrivateSubnet1Id
          - DBECSPrivateSubnet2Id
          - LBPublicSubnet1Id
          - LBPublicSubnet2Id
          - CIDROMEROSecurityGroup
          - ExistingRoute53HostedZoneId
          - Route53FullDomainName

Parameters:
  StackNamespace: 
    Type: String
    Default: test
  OMEROVPCID:
    Description: ID of the VPC
    Type: AWS::EC2::VPC::Id
  DBECSPrivateSubnet1Id:
    Description: SubnetId, for Availability Zone 1 in the region in your VPC
    Type: AWS::EC2::Subnet::Id
  DBECSPrivateSubnet2Id:
    Description: SubnetId, for Availability Zone 2 in the region in your VPC
    Type: AWS::EC2::Subnet::Id
  LBPublicSubnet1Id:
    Description: SubnetId, for Availability Zone 1 in the region in your VPC. The only one OMERO Server instance is deployed in this subnet.
    Type: AWS::EC2::Subnet::Id
  LBPublicSubnet2Id:
    Description: SubnetId, for Availability Zone 2 in the region in your VPC. None of OMERO Server instance is deployed in this subnet.
    Type: AWS::EC2::Subnet::Id
  CIDROMEROSecurityGroup:
    Type: String
    Default: '0.0.0.0/0'
  OMEROStorageEFSNameTag:
    Description: The name of the EFS volume
    Type: String
    MinLength: '1'
    Default: OMEROEFSvolume
  KMSCMKId:
    Description: The ID of the AWS KMS customer master key (CMK) to be used to protect the encrypted EFS and RDS storage. OPTIONAL if not specified, the default CMKs for Amazon EFS and RDS are used.
    Type: String
  EFSBackup:
    Type: String
    Description: whether enable EFS backup or not. EFS backup has extra associated cost.
    Default: ENABLED
    AllowedValues: [ENABLED, DISABLED]
  EFSStorageArchiveAfter:
    Type: String
    Description: A value that describes the period of time that a file is not accessed, after which it transitions to the IA storage class.
    Default: AFTER_90_DAYS
    AllowedValues: [AFTER_14_DAYS, AFTER_30_DAYS, AFTER_60_DAYS, AFTER_7_DAYS, AFTER_90_DAYS]
  RDSDBMultiAZ:
    Type: String
    Default: False
    Description: True or False for RDS Multiple Availability Zone
  RDSDBInstanceSize:
    Type: String
    Default: "db.t3.medium"
  RDSDBStorage:
    Type: String
    Default: "gp2"
  RDSDStorageSize:
    Type: Number
    Default: 20
  RDSDBUserName:
    Type: String
    Default: omero
    Description: OMERO Database User
    NoEcho: true
  RDSDBBackupRetainInDays:
    Type: Number
    Default: 30
    Description: The number of days for which automated backups are retained. Setting this parameter to a positive number (from 1 to 35) enables backups. Setting this parameter to 0 disables automated backups. 
  LoadBalancerAccessLogBucketName:
    Type: String
    Default: ecs-loadbalancer-accesslog
  CountofWebInstances:
    Type: Number
    Default: 2
    Description: Number of OMERO Web containers
  OMEROServerContainerImageParam:
    Type: String 
    Default: openmicroscopy/omero-server:latest
  OMEROWebContainerImageParam:
    Type: String 
    Default: openmicroscopy/omero-web-standalone:latest
  OMEROWebContainerCPUSize:
    Description: The number of cpu units the Amazon ECS container agent will reserve for the container.
    Type: Number
    Default: 2048
    AllowedValues: [256, 512, 1024, 2048, 4096]
  OMEROWebContainerMemorySize:
    Description: The amount (in MiB) of memory to present to the container. . Memory should be at least two times of vCPU unit according to documentation.
    Type: Number
    Default: 4096
    AllowedValues: [512, 1024, 2048, 3072, 4096, 5120, 6144, 7168, 8192, 9216, 10240, 11264, 12288, 13312, 14336, 15360, 16384, 30720]
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



OMERO-cloudformation-templates/OMEROstackTLS_RW.yml [26:133]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          - EC2KeyName
          - EC2InstanceType
          - NumberofECSEC2Instances
          - LoadBalancerAccessLogBucketName
          - CountofWebInstances
          - OMEROWebContainerCPUSize
          - OMEROWebContainerMemorySize
          - OMEROServerContainerCPUSize
          - OMEROServerContainerMemorySize
          - OMEROWebContainerImageParam
          - OMEROServerContainerImageParam
      - Label:
          default: 'Infrastructure'
        Parameters:
          - OMEROVPCID
          - DBECSPrivateSubnet1Id
          - DBECSPrivateSubnet2Id
          - LBPublicSubnet1Id
          - LBPublicSubnet2Id
          - CIDROMEROSecurityGroup
          - ExistingRoute53HostedZoneId
          - Route53FullDomainName

Parameters:
  StackNamespace: 
    Type: String
    Default: test
  OMEROVPCID:
    Description: ID of the VPC
    Type: AWS::EC2::VPC::Id
  DBECSPrivateSubnet1Id:
    Description: SubnetId, for Availability Zone 1 in the region in your VPC
    Type: AWS::EC2::Subnet::Id
  DBECSPrivateSubnet2Id:
    Description: SubnetId, for Availability Zone 2 in the region in your VPC
    Type: AWS::EC2::Subnet::Id
  LBPublicSubnet1Id:
    Description: SubnetId, for Availability Zone 1 in the region in your VPC. The only one OMERO Server instance is deployed in this subnet.
    Type: AWS::EC2::Subnet::Id
  LBPublicSubnet2Id:
    Description: SubnetId, for Availability Zone 2 in the region in your VPC. None of OMERO Server instance is deployed in this subnet.
    Type: AWS::EC2::Subnet::Id
  CIDROMEROSecurityGroup:
    Type: String
    Default: '0.0.0.0/0'
  OMEROStorageEFSNameTag:
    Description: The name of the EFS volume
    Type: String
    MinLength: '1'
    Default: OMEROEFSvolume
  KMSCMKId:
    Description: The ID of the AWS KMS customer master key (CMK) to be used to protect the encrypted EFS and RDS storage. OPTIONAL if not specified, the default CMKs for Amazon EFS and RDS are used.
    Type: String
  EFSBackup:
    Type: String
    Description: whether enable EFS backup or not. EFS backup has extra associated cost.
    Default: ENABLED
    AllowedValues: [ENABLED, DISABLED]
  EFSStorageArchiveAfter:
    Type: String
    Description: A value that describes the period of time that a file is not accessed, after which it transitions to the IA storage class.
    Default: AFTER_90_DAYS
    AllowedValues: [AFTER_14_DAYS, AFTER_30_DAYS, AFTER_60_DAYS, AFTER_7_DAYS, AFTER_90_DAYS]
  RDSDBMultiAZ:
    Type: String
    Default: False
    Description: True or False for RDS Multiple Availability Zone
  RDSDBInstanceSize:
    Type: String
    Default: "db.t3.medium"
  RDSDBStorage:
    Type: String
    Default: "gp2"
  RDSDStorageSize:
    Type: Number
    Default: 20
  RDSDBUserName:
    Type: String
    Default: omero
    Description: OMERO Database User
    NoEcho: true
  RDSDBBackupRetainInDays:
    Type: Number
    Default: 30
    Description: The number of days for which automated backups are retained. Setting this parameter to a positive number (from 1 to 35) enables backups. Setting this parameter to 0 disables automated backups. 
  LoadBalancerAccessLogBucketName:
    Type: String
    Default: ecs-loadbalancer-accesslog
  CountofWebInstances:
    Type: Number
    Default: 2
    Description: Number of OMERO Web containers
  OMEROServerContainerImageParam:
    Type: String 
    Default: openmicroscopy/omero-server:latest
  OMEROWebContainerImageParam:
    Type: String 
    Default: openmicroscopy/omero-web-standalone:latest
  OMEROWebContainerCPUSize:
    Description: The number of cpu units the Amazon ECS container agent will reserve for the container.
    Type: Number
    Default: 2048
    AllowedValues: [256, 512, 1024, 2048, 4096]
  OMEROWebContainerMemorySize:
    Description: The amount (in MiB) of memory to present to the container. . Memory should be at least two times of vCPU unit according to documentation.
    Type: Number
    Default: 4096
    AllowedValues: [512, 1024, 2048, 3072, 4096, 5120, 6144, 7168, 8192, 9216, 10240, 11264, 12288, 13312, 14336, 15360, 16384, 30720]
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



